'''
In this file we will write our csv processing functions into main.py
'''

#Section 0 - Imports
import pandas as pd 
# Function 1 - importing CSV
def input_csvfile(csv):
    """
    

    Parameters
    ----------
    csv : takes a CSV as input

    Returns
    -------
    dataframe : pandas dataframe with CSV content
    
    It also prints the first 5 records of the dataframe

    """

    dataframe = pd.read_csv(csv) 
    first5 = dataframe.head(5)
    print(first5)
    
    return dataframe

# Function 2,3,4 - extracting specific data columns and writing to different CSV

def extract_one_column(dataframe, column_name):
    """
    

    Parameters
    ----------
    dataframe : pandas dataframe
    column_name : One column name as a string

    Returns
    -------
    column: returns the content of a single column with index numbers if saved to a variable

    It also prints out the first 5 records of said column
    """
    
    first5_onecolumn = dataframe[column_name].head(5)
    print("Our first 5 records are: ", first5_onecolumn)
    
    return dataframe[column_name]
    
def extract_columns(dataframe, column_names):
    """
    

    Parameters
    ----------
    dataframe : pandas dataframe
    column_names : list fo column names

    Returns
    -------
    new_dataframe : pandas dataframe with the content fo the specified columns

    """
    
    new_dataframe = dataframe[column_names]
    return new_dataframe

def extract_columns_to_csv(dataframe, column_names, output_csv): 
    """
    

    Parameters
    ----------
    dataframe : pandas dataframe
    column_names : list of column names
    output_csv : CSV file in a string format

    Outputs
    -------
    This function will write the specified columns to a csv file without saving the indexes as an extra column

    """
    
    new_dataframe= dataframe[column_names]
    
    new_dataframe.to_csv(output_csv, index= False)
    

    
#Functions 5,6- Cleaning and processing our data


def clean_numbers(dataframe, column):
    """
    

    Parameters
    ----------
    dataframe : pandas dataframe
    column : column  name

    Outputs
    -------
    This function will apply twp transformations to the records of the specified column:
        1. It eliminates all commas
        2. It will convert the string to an integer
    This supposed input fo numbers in str format in the following manner: 
        "1,234,543"
    and returns: 
        1234543

    """
    
    dataframe[column]= dataframe[column].str.replace(',','')
    
    dataframe[column]= dataframe[column].astype(int)
    
def rename_columns(dataframe, new_names):
    """
    
    Parameters
    ----------
    dataframe : pandas dataframe
    new_names : list of new column names
        This list must eb equal in lngth to the amount of columns in dataframe

    Outputs
    -------
    This function will rename our dataframe colums as long as the index lengths are a match

    """
    
    dataframe.columns = new_names

    
    
    
    
    
    
    
    
    










