# section 0 - Imports
from csvfunctions import input_csvfile, extract_one_column, extract_columns, extract_columns_to_csv, clean_numbers, rename_columns
import pandas as pd
from plotfunctions import *

# Section 1 - Input of data in CSV format and extraction of pertinent data
Data = input_csvfile('2024_population.csv')

# Section 2- Organizing and Cleaning our Data

one_column = extract_one_column(Data, '2023_population')

new_dataframe = extract_columns(Data, ['country','2023_population'])

extract_columns_to_csv(Data, ['country','2023_population'], 'short.csv')

populationdata = pd.read_csv('short.csv')

clean_numbers(populationdata, '2023_population')

rename_columns(populationdata , ['Country', 'Population'])

# Section 3- Plotting the data

create_pie_chart(populationdata)
top10_bar_chart(populationdata)















