'''
This file contains the functions that will create our plots. If we have time in the workshop we will go through them and modify the arguments.
'''

import pandas as pd
import matplotlib.pyplot as plt



def create_pie_chart(dataframe):
    '''

    Parameters
    ----------
    dataframe : input data

    Outputs 
    -------
    Pie chart with the total population fo the world distributed by country

    '''

    plt.figure(figsize=(10, 6))
    plt.pie(dataframe['Population'], labels=dataframe['Country'], autopct='%1.1f%%', startangle=140)
    plt.title('Population Distribution by Country')
    plt.axis('equal')
    plt.show()


def top10_bar_chart(dataframe):
    '''

    Parameters
    ----------
    dataframe : input data

    Output
    -------
    histogram of the top countries by population

    '''

    # Sort  by population for top 10
    top10_df = dataframe.sort_values(by='Population', ascending=False).head(10)


    plt.figure(figsize=(12, 6))
    plt.bar(top10_df['Country'], top10_df['Population'], color='skyblue')
    plt.title('Top 10 Countries by Population')
    plt.xlabel('Country')
    plt.ylabel('Population')
    plt.xticks(rotation=45, ha='right')
    plt.tight_layout()
    plt.show()
    
    
    
    
    
    
    
    


